
<script type="text/javascript">

    var ignApiKey = "{{ IGN_API_KEY }}";
    var mapId = "{{ map|default('map') }}";
// BASE LAYERS
    {%  for key,layer in BASE_LAYERS %}
        {%  if layer.layer_type == 'tile_layer' %} 
    var  {{  layer.layer_alias }} = new L.TileLayer("{{ layer.geolayer_id|replace({'IGN_API_KEY' : IGN_API_KEY })|raw }}", {alias : '{{ layer.layer_alias }}',  {{ layer.options|default(null)|raw }}  });
        {% endif %}
        {%  if layer.layer_type == 'tile_layer_wms' %} 
        var  {{  layer.layer_alias }} = new L.tileLayer.wms("{{ layer.geolayer_id|replace({'IGN_API_KEY' : IGN_API_KEY })|raw }}", {alias : '{{ layer.layer_alias }}',  {{ layer.options|default(null)|raw }}  });
        {% endif %}
    {%  endfor %}

// OTHER BASE LAYERS
    {%  for key,layer in OTHER_BASE_LAYERS %}
        {%  if layer.layer_type == 'tile_layer' %} 
        var  {{  layer.layer_alias }} = new L.TileLayer("{{ layer.geolayer_id|replace({'IGN_API_KEY' : IGN_API_KEY })|raw }}", {alias : '{{ layer.layer_alias }}',  {{ layer.options|default(null)|raw }} });
        {% endif %}
        {%  if layer.layer_type == 'tile_layer_wms' %} 
        var  {{  layer.layer_alias }} = new L.tileLayer.wms("{{ layer.geolayer_id|replace({'IGN_API_KEY' : IGN_API_KEY })|raw }}", {alias : '{{ layer.layer_alias }}',  {{ layer.options|default(null)|raw }} });
        {% endif %}
    {%  endfor %}

        var map = L.map(mapId, {
        center: new L.{{ centre|default(tabO[0].infosGeom.centre) }},
                zoom:{{ zoom|default(12) }},
                maxZoom: 20,
                layers: [{{baseLayer|default('OpenStreetMap') }}{{ otherBaseLayers is defined ? ','~otherBaseLayers}}]
        });
        var baseLayers = { {%  for  layer in BASE_LAYERS  %} "{{ layer.layer_id }}":{{ layer.layer_alias }}, {% endfor %}};
        var otherBaseLayers = { {%  for  layer in OTHER_BASE_LAYERS  %} "{{ layer.layer_id }}":{{ layer.layer_alias }}, {% endfor %}};
// Layer control
        L.control.layers(baseLayers, otherBaseLayers, {position: 'topleft'}).addTo(map);
        L.control.scale({'imperial': false, 'metric': true, 'position': 'bottomright'}).addTo(map);
    {% for O in tabO %}    
        addLayerToSimpleMap('objet', '{{O.id}}', {"color": "#d70065", "fillColor": "#d70065", "weight": 5, "opacity": 0.85, "fillOpacity" : 0.25, "radius" : 5});
    {% endfor %}

</script>
